# This file created by conda-build 3.21.8
# ------------------------------------------------

package:
  name: opencv
  version: 4.5.5
source:
  - fn: opencv-4.5.5.zip
    sha256: fb16b734db3a28e5119d513bd7c61ef417edf3756165dc6259519bb9d23d04e2
    url: https://github.com/opencv/opencv/archive/4.5.5.zip
  - fn: opencv_contrib-4.5.5.tar.gz
    folder: opencv_contrib-4.5.5
    sha256: a97c2eaecf7a23c6dbd119a609c6d7fae903e5f9ff5f1fe678933e01c67a6c11
    url: https://github.com/opencv/opencv_contrib/archive/4.5.5.tar.gz
build:
  ignore_run_exports: null
  missing_dso_whitelist:
    - '*'
  number: 1
  string: py310hf3ef33b_1
requirements:
  build:
    - bzip2 1.0.8 h620ffc9_4
    - ca-certificates 2022.4.26 hca03da5_0
    - cctools_osx-arm64 949.0.1 h332cad3_24
    - clang 12.0.0 hca03da5_4
    - clang-12 12.0.0 default_he099f3d_4
    - clang_osx-arm64 12.0.0 hcb56dc5_3
    - clangxx 12.0.0 default_he099f3d_4
    - clangxx_osx-arm64 12.0.0 h39b79ac_3
    - compiler-rt 12.0.0 h4ccfd99_3
    - compiler-rt_osx-arm64 12.0.0 h4fb70ea_3
    - ld64_osx-arm64 530 h001ce53_24
    - ldid 2.1.2 h64d1936_2
    - libclang-cpp12 12.0.0 default_he099f3d_4
    - libcxx 12.0.0 hf6beb65_1
    - libffi 3.4.2 hc377ac9_4
    - libiconv 1.16 h1a28f6b_2
    - libllvm12 12.0.0 h12f7ac0_4
    - llvm-tools 12.0.0 h12f7ac0_4
    - ncurses 6.3 h1a28f6b_2
    - ninja 1.10.2 hca03da5_5
    - ninja-base 1.10.2 h525c30c_5
    - openssl 1.1.1o h1a28f6b_0
    - pkg-config 0.29.2 h1a28f6b_0
    - python 3.10.4 hbdb9e5c_0
    - readline 8.1.2 h1a28f6b_1
    - sqlite 3.38.3 h1058600_0
    - tapi 1100.0.11 ha21211d_0
    - tk 8.6.12 hb8d0fd4_0
    - tzdata 2022a hda174b7_0
    - xz 5.2.5 h1a28f6b_1
    - zlib 1.2.12 h5a0b063_2
  host:
    - adwaita-icon-theme 40.1.1 hca03da5_1
    - atk-1.0 2.36.0 h7fe96df_0
    - blas 1.0 openblas
    - bzip2 1.0.8 h620ffc9_4
    - c-ares 1.18.1 h1a28f6b_0
    - ca-certificates 2022.4.26 hca03da5_0
    - cairo 1.16.0 h29d4eff_2
    - cmake 3.22.1 hae769c0_0
    - dbus 1.13.18 h8280c03_0
    - eigen 3.3.7 h525c30c_1
    - epoxy 1.5.4 h1a28f6b_2
    - expat 2.4.4 hc377ac9_0
    - fontconfig 2.13.1 h1f4a5ec_0
    - freetype 2.10.4 h1192e45_0
    - fribidi 1.0.10 h1a28f6b_0
    - gdk-pixbuf 2.42.6 h74ef11a_4
    - gettext 0.21.0 h826f4ad_0
    - giflib 5.2.1 h1a28f6b_0
    - glib 2.69.1 h98b2900_1
    - gobject-introspection 1.68.0 py310h3459c9f_3
    - graphite2 1.3.14 hc377ac9_1
    - gst-plugins-base 1.14.1 hf0a386a_0
    - gstreamer 1.14.1 he09cfb7_0
    - gtk3 3.24.21 h321fa23_1
    - harfbuzz 2.8.1 hffeda63_0
    - hdf5 1.12.1 h160e8cb_2
    - hicolor-icon-theme 0.17 hca03da5_2
    - icu 68.1 hc377ac9_0
    - jpeg 9e h1a28f6b_0
    - krb5 1.19.2 h3b8d789_0
    - libcurl 7.82.0 hc6d1d07_0
    - libcxx 12.0.0 hf6beb65_1
    - libedit 3.1.20210910 h1a28f6b_0
    - libev 4.33 h1a28f6b_1
    - libevent 2.1.12 hf27765b_0
    - libffi 3.4.2 hc377ac9_4
    - libgfortran 5.0.0 11_2_0_he6877d6_26
    - libgfortran5 11.2.0 he6877d6_26
    - libiconv 1.16 h1a28f6b_2
    - libnghttp2 1.46.0 h95c9599_0
    - libopenblas 0.3.20 hea475bc_0
    - libpng 1.6.37 hb8d0fd4_0
    - libpq 12.9 h65cfe13_2
    - librsvg 2.50.7 h90a7944_0
    - libssh2 1.10.0 hf27765b_0
    - libtiff 4.2.0 h01837e1_1
    - libuv 1.39.0 h1a28f6b_0
    - libwebp 1.2.2 h68602c7_0
    - libwebp-base 1.2.2 h1a28f6b_0
    - libxml2 2.9.14 h8c5e841_0
    - libxslt 1.1.35 h9833966_0
    - llvm-openmp 12.0.0 haf9daa7_1
    - lz4-c 1.9.3 hc377ac9_0
    - ncurses 6.3 h1a28f6b_2
    - ninja 1.10.2 hca03da5_5
    - ninja-base 1.10.2 h525c30c_5
    - nspr 4.33 hc377ac9_0
    - nss 3.74 h142855e_0
    - numpy 1.21.5 py310h220015d_3
    - numpy-base 1.21.5 py310h742c864_3
    - openssl 1.1.1o h1a28f6b_0
    - pango 1.48.7 h79d33a7_0
    - pcre 8.45 hc377ac9_0
    - pixman 0.40.0 h1a28f6b_0
    - python 3.10.4 hbdb9e5c_0
    - qt 5.15.2 h4e944ae_2
    - readline 8.1.2 h1a28f6b_1
    - rhash 1.4.1 hf27765b_1
    - sqlite 3.38.3 h1058600_0
    - tk 8.6.12 hb8d0fd4_0
    - tzdata 2022a hda174b7_0
    - xz 5.2.5 h1a28f6b_1
    - zlib 1.2.12 h5a0b063_2
    - zstd 1.5.2 h8574219_0
  run:
    - eigen
    - freetype >=2.10.4,<3.0a0
    - glib >=2.69.1,<3.0a0
    - gst-plugins-base >=1.14.1,<1.15.0a0
    - gstreamer >=1.14.1,<1.15.0a0
    - harfbuzz >=2.8.1,<3.0a0
    - hdf5 >=1.12.1,<1.12.2.0a0
    - jpeg >=9e,<10a
    - libcxx >=12.0.0
    - libpng >=1.6.37,<1.7.0a0
    - libtiff >=4.2.0,<5.0a0
    - numpy 1.21.*
    - python >=3.10,<3.11.0a0
    - qt ==5.15.2
    - zlib >=1.2.12,<1.3.0a0
test:
  commands:
    - pushd test-cmake
    - cmake . -GNinja -DCMAKE_BUILD_TYPE=Release
    - cmake --build . --verbose
    - popd
    - test -f ${CONDA_PREFIX}/lib/libopencv_aruco.dylib
    - test -f ${CONDA_PREFIX}/lib/libopencv_bgsegm.dylib
    - test -f ${CONDA_PREFIX}/lib/libopencv_calib3d.dylib
    - test -f ${CONDA_PREFIX}/lib/libopencv_ccalib.dylib
    - test -f ${CONDA_PREFIX}/lib/libopencv_core.dylib
    - test -f ${CONDA_PREFIX}/lib/libopencv_datasets.dylib
    - test -f ${CONDA_PREFIX}/lib/libopencv_features2d.dylib
    - test -f ${CONDA_PREFIX}/lib/libopencv_flann.dylib
    - test -f ${CONDA_PREFIX}/lib/libopencv_fuzzy.dylib
    - test -f ${CONDA_PREFIX}/lib/libopencv_highgui.dylib
    - test -f ${CONDA_PREFIX}/lib/libopencv_imgcodecs.dylib
    - test -f ${CONDA_PREFIX}/lib/libopencv_imgproc.dylib
    - test -f ${CONDA_PREFIX}/lib/libopencv_line_descriptor.dylib
    - test -f ${CONDA_PREFIX}/lib/libopencv_ml.dylib
    - test -f ${CONDA_PREFIX}/lib/libopencv_optflow.dylib
    - test -f ${CONDA_PREFIX}/lib/libopencv_phase_unwrapping.dylib
    - test -f ${CONDA_PREFIX}/lib/libopencv_photo.dylib
    - test -f ${CONDA_PREFIX}/lib/libopencv_plot.dylib
    - test -f ${CONDA_PREFIX}/lib/libopencv_reg.dylib
    - test -f ${CONDA_PREFIX}/lib/libopencv_rgbd.dylib
    - test -f ${CONDA_PREFIX}/lib/libopencv_saliency.dylib
    - test -f ${CONDA_PREFIX}/lib/libopencv_shape.dylib
    - test -f ${CONDA_PREFIX}/lib/libopencv_stereo.dylib
    - test -f ${CONDA_PREFIX}/lib/libopencv_stitching.dylib
    - test -f ${CONDA_PREFIX}/lib/libopencv_structured_light.dylib
    - test -f ${CONDA_PREFIX}/lib/libopencv_superres.dylib
    - test -f ${CONDA_PREFIX}/lib/libopencv_surface_matching.dylib
    - test -f ${CONDA_PREFIX}/lib/libopencv_tracking.dylib
    - test -f ${CONDA_PREFIX}/lib/libopencv_video.dylib
    - test -f ${CONDA_PREFIX}/lib/libopencv_videoio.dylib
    - test -f ${CONDA_PREFIX}/lib/libopencv_videostab.dylib
    - test -f ${CONDA_PREFIX}/lib/libopencv_xfeatures2d.dylib
    - test -f ${CONDA_PREFIX}/lib/libopencv_ximgproc.dylib
    - test -f ${CONDA_PREFIX}/lib/libopencv_xphoto.dylib
  files:
    - test-cmake/CMakeLists.txt
    - test-cmake/DisplayImage.cpp
    - test.cpp
  requires:
    - clangxx_osx-arm64 12.*
    - cmake
    - ninja
    - numpy
    - python >=3.10,<3.11.0a0
about:
  description: 'OpenCV (Open Source Computer Vision Library) includes several hundreds
    of computer vision algorithms.

    It has a modular structure,which means that the package includes several shared
    or static libraries.

    '
  dev_url: https://github.com/opencv/opencv/
  doc_source_url: https://github.com/opencv/opencv/tree/master/doc
  doc_url: https://docs.opencv.org/
  home: https://opencv.org/
  license: Apache-2.0
  license_family: Apache
  summary: Computer vision and machine learning software library.
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: c5fa2133-2c71-4f6f-8b0e-2b35f6ddc28c
  remote_url: git@github.com:AnacondaRecipes/opencv-feedstock.git
  sha: f431e5b0f2b5fef730903fc48a03008d9c42e4b1
